로그인
Sign in
FAQ내용 [FAQ66] No1.Linux 2019에서 최신 버전으로 kdenlive를 19.04.1에서 19.08.1 버전으로 업데이트하였습니다. 이전 버전에서는 문제없이 실행되던 kdenlive이 최신 버전에서는 실행되지 않습니다. 어떤 문제인가요?

kdenlive 19.08.1 버전의 세그먼테이션 오류 
참고URL  
참고URL  
메뉴분류 비디오 

kdenlive 최신 버전 19.08.1은 불안정한 것으로 보이기 때문에 현재로썬 이 버전으로 업그레이드하지 않는 것이 좋습니다. 최신 버전은 mlt 라이브러리와 lib64qt5core5 라이브러리  등 일부 라이브러리 호환성 문제로 인하여 세그멘테이션 오류가 발생되어 실행되지 않는 현상이 있습니다.


넘버원 리눅스의 모태인 PCLinuxOS 리포지토리에 있는 RPM이나 자체적으로 리빌드한 RPM  모두 동일한 현상을 보이는데, gdb로 덤프해서 확인해 보면 라이브러리 호환 문제로 kdenlive가 동작하지 않는 것으로 판단됩니다.  따라서 19.08.1 버전은 불안정한 상태이므로 안정 버전인 19.04.1 버전 사용을 권장합니다.


바이너리 형태로 실행할 수 있는 AppImage의 경우도 19.08.1 버전도 동작하지 않습니다. 19.08.0 버전의 AppImage는 동작하는데, 이것을 실행할 때는 kdenlive RPM 패키지를 모두 제거해 주어야 정상적으로 Appimage가 동작함을 주의하기 바랍니다. Appimage를 실행할 때 kdenlive이 설치되어 있을 경우엔 앞서 말씀드린 세그먼트 오류 현상이 발생하게 됩니다. 


비롯 최신 버전 19.08.1 AppImage에도 문제가 있긴 하지만, 굳이 버전을 사용하고 싶다면 불가능한 것은 아닙니다. 트릭을 통해 19.08.1 버전의 AppImage를 실행할 수 있는 방법이 있긴 합니다. 이 방법은 어려운 일이 아니지만, 초보자에겐 버거운 일이 될 수 있으므로, 이런 방법으로 kdenlive를 사용하는 것보단 안정적인 19.04.1 버전을 사용하는 것을 권합니다.

kdenliveapp.png

* 2019년 10월 14일자 수정 내용


그동안 라이브러리 문제로 kdenlive 19.08.1 버전이 세그먼트 오류를 발생하는 것으로 추정하였습니다만, 19.08.2 버전으로 테스트해 본 결과 정확한 원인을 찾을 수 있었습니다. 정확한 원인을 찾아내기 위해서 노가다를 하루종일해야 하는 수고스러움이 있었지만, 결국엔 라이브러리상에는 문제가 없음을 발견하였습니다. 다만, 라이브러리중에 lib64webkit5와 lib64webkitwidgets5 버전이 일치하지 않으면 동일한 세그먼트 오류가 발생함을 확인할 수 있었습니다. 하지만, 라이브러리를 업데이트해 주면 kdenlive가 정상적으로 구동됩니다. 따라서 라이브러리 문제가 아닌 다른 곳에 있음을 예측할 수 있었고, 그동안 테스트하면서 한가지 유독 테스트해 보지 않고 간과했던 것이 한글화 부분이었는데, 카달로그 파일을 제거해 주니깐 kdenlive 실행 오류가 말끔해 해결되었습니다.


15000줄 가운데  세그먼트 오류를 발생하는 한 줄을 찾아내어 KDE 한국번역팀에게 이메일로 알려드렸으므로, 빠른 시일내로 반영될 것으로 예상합니다.


kdenlive19081.png



번호 제목 글쓴이 날짜 조회 수 추천 수
71 [FAQ71] KDE 플라즈마가 시작될 때 아무런 오류 메시지 없이 멈춥니다. 다시 시작해도 똑같습니다. zharyong 2019.11.18 0 0
70 [FAQ70] 인터넷뱅킹을 위해 PC보안및 바이러스 차단 패키지인 astx_f64.rpm 패키지를 설치하고자 하였는데, nss-tools 의존성 문제가 있습니다. zharyong 2019.11.05 14 0
69 [FAQ69] 인터넷뱅킹을 위해서 공인인증서 RPM 패키지들을 강제적 설치후 시스템 이상 발생 zharyong 2019.10.23 20 0
68 [FAQ68] No1.Linux 2019 버전을 저장소로부터 모든 패키지를 업데이트하였습니다. 그런데 업데이트한 후에 넘버원 리눅스 제어센터인 drakconf를 실행하면 오류가 발생됩니다. zharyong 2019.09.15 52 0
67 [FAQ67] 교회에서 프리젠테이션을 위해 OpenLP를 사용하고자 합니다. 넘버원 리눅스 저장소로부터 이 패키지를 설치한 후 openlp를 실행하면 오류가 발생합니다. 어떻게 하면 Openlp를 실행할 수 있을까요? file zharyong 2019.09.10 72 0
» [FAQ66] No1.Linux 2019에서 최신 버전으로 kdenlive를 19.04.1에서 19.08.1 버전으로 업데이트하였습니다. 이전 버전에서는 문제없이 실행되던 kdenlive이 최신 버전에서는 실행되지 않습니다. 어떤 문제인가요? file zharyong 2019.09.09 78 0
65 [FAQ65] 신한은행 인터넷 뱅킹은 브라우저 인증만 가능하다고 들었습니다. 브라우저 인증하는 방법에 대해서 알려 주세요. file zharyong 2019.09.05 107 0
64 [FAQ64] 데스크탑에 블루투스 동글을 설치하여 오디오 앰프와 연결되어 있는 원격 데스크탑의 블루투스와 연결한 후 오데이셔스를 실행하여 음원을 재생하였는데 오디오 앰프에서 사운드가 나오질 않습니다. 어떤 것을 점검해야 할까요? file zharyong 2019.09.04 39 0
63 [FAQ63] 기업은행 인터넷 뱅킹이 넘버원 리눅스 2018 버전에서는 잘 되었는데, 2019 버전부터는 안되고 있습니다. 기업은행 인터넷뱅킹은 어려운가요? file zharyong 2019.08.29 54 0
62 [FAQ62] Wine으로 한컴오피스를 설치하고 한글을 실행했는데, 한글 폰트가 희미하게 나와 사용하기 불편합니다. 한글 메뉴 폰트들이 윈도우처럼 정상적으로 나오게끔 하는 방법이 있을까요? file zharyong 2019.08.29 110 0
61 [FAQ61] 삼성 잉크젯 복합기 SL-J1660를 사용하고 있습니다. 넘버원 리눅스 제어판을 통해서 설치할려고 했지만, 호환되는 드라이버가 없는 것 같습니다. 어떻게 설치해야 할까요? file zharyong 2019.08.20 82 0
60 [FAQ60] No1.Linux 2019 버전에서 바탕화면 시스템 정보가 보이지 않습니다. 시스템 정보가 나타나도록 하려면 어떻게 해야 할까요? [1] file No1Linuxer 2019.08.18 81 2
59 [FAQ59] 주로 인터넷을 사용하기 때문에 모니터 스탠드를 구입하여 세로로 사용하고자 합니다. 화면을 세로로 사용하는 방법에 대해서 알려 주세요. file No1Linuxer 2019.08.17 45 0
58 [FAQ58] 스크립트를 생성한 후 스크립트를 실행하면 오류가 발생합니다. 오류 메시지는 허가거부입니다. zharyong 2019.08.14 28 0
57 [FAQ57] 넘버원 리눅스로 웹서버를 운영하고 있습니다. 웹 서버가 느려져서 네트워크 접속 상태를 체크해 보니 Syn_recv 패킷이 많습니다. 어떻게 처리하면 될까요? [1] zharyong 2019.08.12 65 0
56 [FAQ56] 시냅틱에서 크롬을 설치하고자 했는데, 이유없이 시냅틱이 종료되요. file No1Linuxer 2019.08.11 49 0
55 [FAQ55] 넘버원 리눅스를 데스크탑으로 사용하면서 간단한 서버를 운영하고자 하는데, 이 때 보안 유지를 위해 방화벽을 설치하고자 합니다. 방화벽을 설정하는 방법에 대해서 알려 주세요 zharyong 2019.08.08 27 0
54 [FAQ54] 오디오 레코더 프로그램으로 녹음한 후 컴퓨터를 재시작하게 되면 이 프로그램이 계속 뜨게 되요. 프로그램을 종료했음에도 불구하고 계속 뜨는데, 안 뜨게 하는 방법이 있을까요? file No1Linuxer 2019.08.05 28 0
53 [FAQ53] 플라즈마 데스크탑에서 마우스 휠을 돌리면 데스크탑 화면이 이상해져요!!! file No1Linuxer 2019.08.03 35 0
52 [FAQ52] 파이어폭스에서 마우스 휠로 자동으로 스크롤되게 끔 하는 방법을 알고 싶습니다. file No1Linuxer 2019.08.02 20 0